<template>
  <list-item class="group-parent">
    <div class="group">
      <h3 title="">{{ name }} ({{ type }})</h3>
      <span
        ><tooltip>Adres</tooltip
        ><font-awesome-icon :icon="icons.faMapMarkedAlt" /> {{ street }}</span
      >
      <span
        ><font-awesome-icon
          style="color: transparent"
          :icon="icons.faMapMarkedAlt"
        />
        {{ post_code }} {{ city }}</span
      >
    </div>
    <div class="group">
      <router-link class="link" :to="'/lokalizacje/' + id">
        Zobacz szczegóły
      </router-link>
    </div>
  </list-item>
</template>

<script lang="ts">
import { Options, Vue } from "vue-class-component";

import ListItem from "@/components/list/ListItem.vue";

import { LocationData } from "@/interfaces";
import { FontAwesomeIcon } from "@fortawesome/vue-fontawesome";
import { faMapMarkedAlt } from "@fortawesome/free-solid-svg-icons";
import Tooltip from "@/components/utilities/Tooltip.vue";

@Options({
  props: {
    id: Number,
    name: String,
    type: String,
    street: String,
    post_code: String,
    city: String,
  },
  components: {
    ListItem,
    FontAwesomeIcon,
    Tooltip,
  },
})
export default class LocationListItem extends Vue implements LocationData {
  public id!: number;
  public name!: string;
  public type!: string;
  public street!: string;
  public post_code!: string;
  public city!: string;

  public icons = {
    faMapMarkedAlt,
  };
}
</script>

<style scoped lang="scss">
@import "@/styles/globals";

@include bit-smaller-icon;

.group-parent {
  display: grid;
  grid-template-columns: 1fr auto;
  grid-template-rows: 1fr;

  .group {
    align-self: center;
  }

  h3,
  span {
    position: relative;
    display: block;
    padding: 0px;
    margin: 0px;
    text-align: left;

    color: $black_text;
  }

  h3 {
    font-size: 14px;
    font-weight: bold;
  }

  .link {
    text-decoration: none;
    color: $dark_blue;
    cursor: pointer;
    font-size: 16px;
    font-weight: bold;
  }

  span {
    font-size: 14px;
  }
}
</style>
